[oe-commits] Simon Busch : msmcommd: add initscript to start on system boot

git version control git at git.openembedded.org
Tue Jan 4 10:48:41 UTC 2011


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 7d123444574ff409b1a5bd469acd2720cf39d22d
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=7d123444574ff409b1a5bd469acd2720cf39d22d

Author: Simon Busch <morphis at amethyst.openembedded.net>
Date:   Sun Dec 19 20:11:05 2010 +0100

msmcommd: add initscript to start on system boot

Signed-off-by: Simon Busch <morphis at amethyst.openembedded.net>

---

 recipes/freesmartphone/msmcommd/msmcommd |   40 ++++++++++++++++++++++++++++++
 recipes/freesmartphone/msmcommd_git.bb   |   14 +++++++++-
 2 files changed, 52 insertions(+), 2 deletions(-)

diff --git a/recipes/freesmartphone/msmcommd/msmcommd b/recipes/freesmartphone/msmcommd/msmcommd
new file mode 100644
index 0000000..2754153
--- /dev/null
+++ b/recipes/freesmartphone/msmcommd/msmcommd
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# msmcommd -- This shell script starts and stops the msmcomm daemon
+#
+# chkconfig: 345 90 20
+# description: msmcommd is a daemon which handles the low level protocol for some qualcomm modems
+# processname: msmcommd
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=msmcommd
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting msmcommd: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/sbin/msmcommd
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping msmcommd: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/msmcommd {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/recipes/freesmartphone/msmcommd_git.bb b/recipes/freesmartphone/msmcommd_git.bb
index 00aa568..c0a53ee 100644
--- a/recipes/freesmartphone/msmcommd_git.bb
+++ b/recipes/freesmartphone/msmcommd_git.bb
@@ -1,6 +1,6 @@
 require msmcomm.inc
 
-PR = "${INC_PR}.1"
+PR = "${INC_PR}.2"
 PV = "0.5.0+gitr${SRCPV}"
 
 DEPENDS = " \
@@ -15,9 +15,19 @@ DEPENDS = " \
  msmcommd-specs \
 "
 
+SRC_URI += "file://msmcommd"
+
 S = "${WORKDIR}/git/msmcommd"
 
-inherit autotools vala
+inherit autotools vala update-rc.d
+
+INITSCRIPT_NAME = "msmcommd"
+INITSCRIPT_PARAMS = "defaults 28"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d/
+	install -m 0755 ${WORKDIR}/msmcommd ${D}${sysconfdir}/init.d/
+}
 
 FILES_${PN} += "\
   ${sysconfdir} \





More information about the Openembedded-commits mailing list